openshot::AudioDeviceManagerSingleton Class Reference

Singleton wrapper for AudioDeviceManager (to prevent multiple instances). More...

`#include <AudioPlaybackThread.h>`

## Public Member Functions

void | CloseAudioDevice ()
| Close audio device. More...

## Static Public Member Functions

static AudioDeviceManagerSingleton * | Instance ()
| Override with no channels and no preferred audio device. More...

## Public Attributes

std::vector< openshot::AudioDeviceInfo > | audio_device_names
| List of valid audio device names. More...
AudioDeviceManager | audioDeviceManager
| Public device manager property. More...
std::string | initialise_error
| Error found during JUCE initialise method. More...

## Detailed Description

Singleton wrapper for AudioDeviceManager (to prevent multiple instances).

Definition at line 59 of file AudioPlaybackThread.h.

## Member Function Documentation

## CloseAudioDevice()

void openshot::AudioDeviceManagerSingleton::CloseAudioDevice | ( |  | ) |

Close audio device.

Definition at line 85 of file AudioPlaybackThread.cpp.

Referenced by openshot::QtPlayer::CloseAudioDevice().

## Instance()

AudioDeviceManagerSingleton * openshot::AudioDeviceManagerSingleton::Instance | ( |  | ) |

static

Override with no channels and no preferred audio device.

Definition at line 41 of file AudioPlaybackThread.cpp.

Referenced by openshot::QtPlayer::CloseAudioDevice().

## Member Data Documentation

## audio_device_names

std::vector<openshot::AudioDeviceInfo> openshot::AudioDeviceManagerSingleton::audio_device_names

List of valid audio device names.

Definition at line 72 of file AudioPlaybackThread.h.

Referenced by Instance().

## audioDeviceManager

AudioDeviceManager openshot::AudioDeviceManagerSingleton::audioDeviceManager

Public device manager property.

Definition at line 78 of file AudioPlaybackThread.h.

Referenced by CloseAudioDevice(), and Instance().

## initialise_error

std::string openshot::AudioDeviceManagerSingleton::initialise_error

Error found during JUCE initialise method.

Definition at line 69 of file AudioPlaybackThread.h.

Referenced by Instance().

The documentation for this class was generated from the following files:

- AudioPlaybackThread.h
- AudioPlaybackThread.cpp